petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMDAGetScatter

Gets the global-to-local, and local-to-local vector scatter contexts for a distributed array.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetScatter(DM da,VecScatter *gtol,VecScatter *ltol)

Collective on da

### Input Parameter

da -the distributed array

### Output Parameters

| gtol | - global-to-local scatter context (may be NULL)
| ltol | - local-to-local scatter context (may be NULL)

### Notes

The output contexts are valid only as long as the input da is valid. If you delete the da, the scatter contexts will become invalid.

### See Also

DMGlobalToLocalBegin(), DMGlobalToLocalEnd(), DMLocalToGlobalBegin()

### Level

developer

### Location

src/dm/impls/da/dascatter.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages